de.esprit.netsuite.client.evgate

## Class NetMessageEventGate<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.concurrent.AbstractEventGate<NetMessageEvent>
  - - de.esprit.netsuite.client.evgate.NetMessageEventGate<C>

-     public class NetMessageEventGate<C extends ClientContext>
      extends AbstractEventGate<NetMessageEvent>

  This gate opens when an event of the expected type is being received.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.concurrent.AbstractEventGate

      `lastEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetMessageEventGate(C clientCtx, NetMessageEventFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetMessageEvent` | `awaitTimingOut(long time, java.util.concurrent.TimeUnit unit)`
    `protected void` | `deregister()` Deregisters from the message channel
    `C` | `getClientContext()`
    `void` | `setFilter(NetMessageEventFilter filter)`

    - ### Methods inherited from class de.esprit.common.concurrent.AbstractEventGate

      `received, setSingleUseOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetMessageEventGate

          public NetMessageEventGate(C clientCtx,
                             NetMessageEventFilter filter)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

    - #### setFilter

          public void setFilter(NetMessageEventFilter filter)

    - #### awaitTimingOut

          public NetMessageEvent awaitTimingOut(long time,
                                       java.util.concurrent.TimeUnit unit)
                                         throws java.util.concurrent.TimeoutException

      Overrides:
        `awaitTimingOut` in class `AbstractEventGate<NetMessageEvent>`
      Throws:
        `java.util.concurrent.TimeoutException`

    - #### deregister

          protected void deregister()

      Deregisters from the message channel
      Overrides:
        `deregister` in class `AbstractEventGate<NetMessageEvent>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.